import { getErrorContainer } from '../error-util';
/**
 * Shows the snackbar
 * @internal
 * @param error - The ErrorStructure object
 * @param tagName - The tag name to create prefix for the design system provider & error component
 * @returns
 * */
export const showSnackbar = (error, tagName) => {
    const tagPrefix = tagName.split('-')[0];
    const snackbar = document.createElement(`${tagPrefix}-snackbar`);
    const container = getErrorContainer('snack-container', tagName);
    container.appendChild(snackbar);
    snackbar.error = error;
};
